{% extends 'blog/base.html' %}
{% block title %}
{{post.title}}
{% endblock %}

{% block content %}
{% if post.image.url != null %}
<style>
    /* .bg-single {
        background: url('{{post.image.url}}'),
        rgba(0, 0, 0, .7);
        background-size: cover;
        background-blend-mode: multiply;
        height: 300px;
        text-align: center;
        background-position: center;
    } */
</style>

<section class="container-fluid bg-single">
    <h1>{{post.title}}</h1>
    <p>{{post.summary}}</p>
</section>
{% endif %}

<section class="content">
    <div class="row">
        <h2 style="text-align: center;">{{post.title}}</h2>
        {% if post.image.url != null %}
        <img src="{{post.image.url}}">
        {% endif %}
        <p>{{post.content}}</p>
        <em>{{post.date}}</em>
    </div>
</section>
<section>
    <h3>Comments: {{post.comment_set.count}}</h3>
    {% for comment in post.comment_set.all %}
    <div>
        <h3>{{comment.author_name}}</h3>
        <p>{{comment.text}}</p>
        <em>{{comment.date|date:"D j M, Y"}}</em>
    </div>
    {% endfor %}
</section>
<section class="content">
    <h3>Put ur comments</h3>
    <form action="{% url 'leave_comment' post.slug %}" method="POST">
        {% csrf_token %}
        {% if not user.is_authenticated %}
        <input type="text" class="form-control" name="name">
        {% endif %}
        <textarea required name="text" class="form-control" id="" cols="30" rows="10" style="width: 100%;"></textarea>
        <button class="btn btn-success" type="submit">Send</button>
    </form>
</section>

{% endblock %}